<template>
    <div>
        <div class="my-header">
                <router-link
                    class="btn btn-success"
                    :to="{
                    name: 'create',
                }"
                >
                    Створити новий товар
                </router-link>
        </div>
        <div class="mycontainer">
            <ProductList
                @getProductInBasket="addToBasket"
            />
        </div>

        <Notification
            :messages="messages"
        />
    </div>
</template>
<script>
import ProductList from "@/components/products/ProductList.vue"
import Basket from "@/components/products/Basket.vue";
import Notification from "@/components/products/notifications/Notification.vue";
import {mapGetters, mapActions} from 'vuex'

export default {
    components: {ProductList, Basket, Notification},
    data() {
        return {
            messages: []
        }
    },
    computed: {
        ...mapGetters({
            basket: 'getBasket'
        }),
    },
    methods: {
        addToBasket(data){
            this.$store.dispatch('addToBasket', data)
            .then(() => {
                let timeStamp = Date.now().toLocaleString();
                this.messages.unshift(
                    {name: "Товар додано до кошика", id: timeStamp}
                )
            })
        }
    }
}
</script>

<style>
    .mycontainer {
        max-width: 1310px;
        width: 100%;
        margin-right: auto;
        margin-left: auto;
        background-color: #f5f5b7;
    }
</style>
